Package com.xebialabs.xlrelease.domain.configuration

## Class HttpConnection

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseConfiguration
    - - com.xebialabs.xlrelease.domain.Configuration
      - - com.xebialabs.xlrelease.domain.PropertyConfiguration
        - - com.xebialabs.xlrelease.domain.configuration.HttpConnection

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(root=CONFIGURATION,
                virtual=true,
                versioned=false)
      public class HttpConnection
      extends PropertyConfiguration

  Base class for server configurations which use HTTP connection properties. Users subclass this in `synthetic.xml` to configure additional properties.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `HttpConnection.AuthenticationMethod` |
    `static class` | `HttpConnection.OAuth2GrantType` |

  - ### Field Summary

    - ### Fields inherited from class com.xebialabs.xlrelease.domain.PropertyConfiguration

      `PROPERTY_CARDINALITY`

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpConnection()` |
    `HttpConnection​(java.util.Map<java.lang.String,​java.lang.String> map)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAccessTokenUrl()` |
    `HttpConnection.AuthenticationMethod` | `getAuthenticationMethod()` |
    `java.lang.String` | `getClientId()` |
    `java.lang.String` | `getClientSecret()` |
    `java.lang.String` | `getDomain()` |
    `HttpConnection.OAuth2GrantType` | `getOauth2GrantType()` |
    `java.lang.String` | `getPassword()` |
    `java.lang.String` | `getProxyDomain()` |
    `java.lang.String` | `getProxyHost()` |
    `java.lang.String` | `getProxyPassword()` |
    `java.lang.String` | `getProxyPort()` |
    `java.lang.String` | `getProxyUsername()` |
    `java.lang.String` | `getScope()` |
    `java.lang.String` | `getUrl()` |
    `java.lang.String` | `getUsername()` |
    `void` | `setAccessTokenUrl​(java.lang.String accessTokenUrl)` |
    `void` | `setAuthenticationMethod​(HttpConnection.AuthenticationMethod authenticationMethod)` |
    `void` | `setClientId​(java.lang.String clientId)` |
    `void` | `setClientSecret​(java.lang.String clientSecret)` |
    `void` | `setDomain​(java.lang.String domain)` |
    `void` | `setOauth2GrantType​(HttpConnection.OAuth2GrantType oauth2GrantType)` |
    `void` | `setPassword​(java.lang.String password)` |
    `void` | `setProxyDomain​(java.lang.String proxyDomain)` |
    `void` | `setProxyHost​(java.lang.String proxyHost)` |
    `void` | `setProxyPassword​(java.lang.String proxyPassword)` |
    `void` | `setProxyPort​(java.lang.String proxyPort)` |
    `void` | `setProxyUsername​(java.lang.String proxyUsername)` |
    `void` | `setScope​(java.lang.String scope)` |
    `void` | `setUrl​(java.lang.String url)` |
    `void` | `setUsername​(java.lang.String username)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.PropertyConfiguration

      `getCardinality`

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.Configuration

      `getTitle, getVariableMapping, hasVariableMapping, setTitle, setVariableMapping`

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

      `getFolderId, hasId, setFolderId`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpConnection

          public HttpConnection()

    - #### HttpConnection

          public HttpConnection​(java.util.Map<java.lang.String,​java.lang.String> map)

  - ### Method Detail

    - #### getUrl

          public java.lang.String getUrl()

    - #### setUrl

          public void setUrl​(java.lang.String url)

    - #### getAuthenticationMethod

          public HttpConnection.AuthenticationMethod getAuthenticationMethod()

    - #### setAuthenticationMethod

          public void setAuthenticationMethod​(HttpConnection.AuthenticationMethod authenticationMethod)

    - #### getUsername

          public java.lang.String getUsername()

    - #### setUsername

          public void setUsername​(java.lang.String username)

    - #### getPassword

          public java.lang.String getPassword()

    - #### setPassword

          public void setPassword​(java.lang.String password)

    - #### getDomain

          public java.lang.String getDomain()

    - #### setDomain

          public void setDomain​(java.lang.String domain)

    - #### getOauth2GrantType

          public HttpConnection.OAuth2GrantType getOauth2GrantType()

    - #### setOauth2GrantType

          public void setOauth2GrantType​(HttpConnection.OAuth2GrantType oauth2GrantType)

    - #### getAccessTokenUrl

          public java.lang.String getAccessTokenUrl()

    - #### setAccessTokenUrl

          public void setAccessTokenUrl​(java.lang.String accessTokenUrl)

    - #### getClientId

          public java.lang.String getClientId()

    - #### setClientId

          public void setClientId​(java.lang.String clientId)

    - #### getClientSecret

          public java.lang.String getClientSecret()

    - #### setClientSecret

          public void setClientSecret​(java.lang.String clientSecret)

    - #### getScope

          public java.lang.String getScope()

    - #### setScope

          public void setScope​(java.lang.String scope)

    - #### getProxyHost

          public java.lang.String getProxyHost()

    - #### setProxyHost

          public void setProxyHost​(java.lang.String proxyHost)

    - #### getProxyPort

          public java.lang.String getProxyPort()

    - #### setProxyPort

          public void setProxyPort​(java.lang.String proxyPort)

    - #### getProxyUsername

          public java.lang.String getProxyUsername()

    - #### setProxyUsername

          public void setProxyUsername​(java.lang.String proxyUsername)

    - #### getProxyPassword

          public java.lang.String getProxyPassword()

    - #### setProxyPassword

          public void setProxyPassword​(java.lang.String proxyPassword)

    - #### getProxyDomain

          public java.lang.String getProxyDomain()

    - #### setProxyDomain

          public void setProxyDomain​(java.lang.String proxyDomain)